Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::CanvasObserver Class Reference

`#include <ipecanvas.h>`

## Public Member Functions
virtual | ~CanvasObserver ()
virtual void | canvasObserverWheelMoved (double degrees, bool precise)
virtual void | canvasObserverMouseAction (int button)
virtual void | canvasObserverPositionChanged ()
virtual void | canvasObserverToolChanged (bool hasTool)
virtual void | canvasObserverSizeChanged ()

## Constructor & Destructor Documentation

CanvasObserver::~CanvasObserver | ( |  | ) |
| virtual

## Member Function Documentation

void CanvasObserver::canvasObserverWheelMoved | ( | double | degrees,
|  | bool | precise
| ) |  |
| virtual

Referenced by Canvas::scrollWheel(), and ipe::Canvas::wheelEvent().

void CanvasObserver::canvasObserverMouseAction | ( | int | button | ) |
| virtual

Referenced by Canvas::drawRect(), ipe::Canvas::mouseButton(), and ipe::Canvas::tabletEvent().

void CanvasObserver::canvasObserverPositionChanged | ( |  | ) |
| virtual

Referenced by Canvas::mouseMove(), ipe::Canvas::mouseMoveEvent(), and ipe::Canvas::tabletEvent().

void CanvasObserver::canvasObserverToolChanged | ( | bool | hasTool | ) |
| virtual

void CanvasObserver::canvasObserverSizeChanged | ( |  | ) |
| virtual

References ipe::CanvasBase::CanvasBase(), ipe::Snap::ESnapNone, and ipe::Vector::ZERO.

The documentation for this class was generated from the following files:

- ipecanvas.h
- ipecanvas.cpp